corda / net.corda.node.utilities / JDBCHashedTable

# JDBCHashedTable

`open class JDBCHashedTable : Table`

### Constructors

<init> | `JDBCHashedTable(tableName: String)`

### Properties

keyHash | `val keyHash: Column<Int>`
seqNo | `val seqNo: Column<Int>`

### Extension Functions

compositeKey | `fun Table.compositeKey(name: String): Column<CompositeKey>`
instant | `fun Table.instant(name: String): Column<Instant>`
localDate | `fun Table.localDate(name: String): Column<LocalDate>`
localDateTime | `fun Table.localDateTime(name: String): Column<LocalDateTime>`
party | `fun Table.party(nameColumnName: String, keyColumnName: String): PartyColumns`
publicKey | `fun Table.publicKey(name: String): Column<PublicKey>` Table column helpers for use with Exposed, as per varchar etc.
secureHash | `fun Table.secureHash(name: String): Column<SecureHash>`
stateRef | `fun Table.stateRef(txIdColumnName: String, indexColumnName: String): StateRefColumns`
txnNote | `fun Table.txnNote(txIdColumnName: String, txnNoteColumnName: String): TxnNoteColumns`
uuidString | `fun Table.uuidString(name: String): Column<UUID>`

### Inheritors

BlobMapTable | `class BlobMapTable : JDBCHashedTable`
BlobSetTable | `class BlobSetTable : JDBCHashedTable`